The following 17 package updates will NOT be installed:

zypper up
Loading repository data...
Reading installed packages...

The following 17 package updates will NOT be installed:
  audacious-plugins audacious-plugins-extra audacious-plugins-lang gstreamer-plugins-libav libavcodec58_134 libavdevice58_13
  libavfilter7_110 libavformat58_76 libavresample4_0 libavutil56_70 libpostproc55_9 libswresample3_9 libswscale5_9 libvlc5 libvlccore9 yt-dlp-bash-completion yt-dlp-zsh-completion
Nothing to do.

What actions are please needed to fix it ?

Post:

zypper se -s audacious-plugins
zypper se -s audacious-plugins
Loading repository data...
Reading installed packages...

S  | Name                              | Type       | Version        | Arch   | Repository
---+-----------------------------------+------------+----------------+--------+-----------------------
v  | audacious-plugins                 | package    | 4.1-pm154.12.4 | x86_64 | packman_new
i+ | audacious-plugins                 | package    | 4.1-bp154.2.72 | x86_64 | openSUSE-leap/15.4-Oss
   | audacious-plugins                 | srcpackage | 4.1-pm154.12.4 | noarch | packman_new
   | audacious-plugins-debuginfo       | package    | 4.1-pm154.12.4 | x86_64 | packman_new
   | audacious-plugins-debugsource     | package    | 4.1-pm154.12.4 | x86_64 | packman_new
v  | audacious-plugins-extra           | package    | 4.1-pm154.12.4 | x86_64 | packman_new
i+ | audacious-plugins-extra           | package    | 4.1-bp154.2.72 | x86_64 | openSUSE-leap/15.4-Oss
   | audacious-plugins-extra-debuginfo | package    | 4.1-pm154.12.4 | x86_64 | packman_new
v  | audacious-plugins-lang            | package    | 4.1-pm154.12.4 | noarch | packman_new
i+ | audacious-plugins-lang            | package    | 4.1-bp154.2.72 | noarch | openSUSE-leap/15.4-Oss

    Note: For an extended search including not yet activated remote resources please use 'zypper
    search-packages'.

I would suggest switching those packages to the packman repo.

Or maybe:

zypper dup --from packman_new --allow-vendor-change

should switch everything to packman, where there is a packman alternative.

That message about “package updates will NOT be installed” is informational. It tells you that there are versions with higher version numbers that are available in other repos. Whether it is a problem is for you to decide. I usually go with the packman version, when there are alternatives.

Security = top priority for me. So do I need read Security Announcements and select correct repository accordingly ?

Why do you have that packman-new repository when you do not trust it?

Assuming that this packman-new repository has an URL pointing to a Packman repository site (which you can confirm by showing what the repository is, best together with all repos you have with

zypper lr -d 

, you can do two things:

  1. You do not trust it, then why do you have it, remove it.
  2. Trust it and then use where it is for: replacing the explicit broken (because of licenses) OSS packages with the Packman versions.

When you prefer 1., then please do not ask us why your multi-media experience is broken.
When you prefer 2., then please do the switch, test again and come back when the problem persists.

It’s not correct to say that I don’t trust it. I’m asking because I don’t have enough knowledges.

zypper lr -d 
#  | Alias                                    | Name                                                                                        | Enabled | GPG Check | Refresh | Priority | Type     | URI                                                                              | Service
---+------------------------------------------+---------------------------------------------------------------------------------------------+---------+-----------+---------+----------+----------+----------------------------------------------------------------------------------+--------
 1 | /run/media/maketopsite/diskc                      | /run/media/maketopsite/diskc                                                                         | No      | ----      | ----    |   99     | plaindir | dir:/run/media/maketopsite/diskc                                                          | 
 2 | Kernel:openSUSE-$releasever              | Kernel:openSUSE-15.4                                                                        | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/repositories/Kernel:/openSUSE-15.4/standard         | 
 3 | brave-browser                            | brave-browser                                                                               | Yes     | (r ) Yes  | No      |   99     | rpm-md   | https://brave-browser-rpm-release.s3.brave.com/x86_64/                           | 
 4 | http-download.opensuse.org-451e644d      | network:utilities                                                                           | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/repositories/network:/utilities/openSUSE_Leap_15.4/ | 
 5 | http-download.opensuse.org-dd5576a1      | X11:Utilities                                                                               | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/repositories/X11:/Utilities/openSUSE_Leap_15.4/     | 
 6 | http-download.opensuse.org-ff8e5a28      | openSUSE:Leap:15.4:Update                                                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/repositories/openSUSE:/Leap:/15.4:/Update/standard/ | 
 7 | http-ftp.uni-erlangen.de-e5e803be        | Packman Repository                                                                          | No      | ----      | ----    |   99     | NONE     | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_Leap_15.4           | 
 8 | http-opensuse-guide.org-58f3d6c5         | libdvdcss repository                                                                        | No      | ----      | ----    |   99     | NONE     | http://opensuse-guide.org/repo/openSUSE_Tumbleweed/                              | 
 9 | http-opensuse-guide.org-fe542fca         | libdvdcss repository                                                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://opensuse-guide.org/repo/openSUSE_Leap_15.4/                               | 
10 | http-packman.inode.at-5610f291           | Packman Repository                                                                          | No      | ----      | ----    |   99     | rpm-md   | http://packman.inode.at/suse/openSUSE_Leap_15.4/                                 | 
11 | https-download.nvidia.com-4b3d2d94       | nVidia Graphics Drivers                                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | https://download.nvidia.com/opensuse/leap/15.4                                   | 
12 | openSUSE-Leap-$releasever-Update         | openSUSE-Leap-15.4-Update                                                                   | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/update/leap/15.4/oss/                               | 
13 | openSUSE-Leap-$releasever-Update-Non-Oss | openSUSE-Leap-15.4-Update-Non-Oss                                                           | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/update/leap/15.4/non-oss/                           | 
14 | openSUSE-leap/$releasever-0              | openSUSE-leap/15.4-0                                                                        | No      | ----      | ----    |   99     | NONE     | hd:/?device=/dev/disk/by-id/scsi-200000000010004-part2                         | 
15 | packman_new                              | packman_new                                                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/               | 
16 | repo-backports-debug-update              | Update repository with updates for openSUSE Leap debuginfo packages from openSUSE Backports | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/update/leap/15.4/backports_debug/                   | 
17 | repo-backports-update                    | Update repository of openSUSE Backports                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.4/backports/                         | 
18 | repo-debug                               | openSUSE-leap/15.4-Debug                                                                    | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/distribution/leap/15.4/repo/oss/              | 
19 | repo-debug-update                        | openSUSE-leap/15.4-Update-Debug                                                             | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/update/leap/15.4/                             | 
20 | repo-debug-update-non-oss                | openSUSE-leap/15.4-Update-Debug-Non-Oss                                                     | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/update/leap/15.4-non-oss/                     | 
21 | repo-non-oss                             | openSUSE-leap/15.4-Non-Oss                                                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/                | 
22 | repo-oss                                 | openSUSE-leap/15.4-Oss                                                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/distribution/leap/15.4/repo/oss/                    | 
23 | repo-sle-debug-update                    | Update repository with debuginfo for updates from SUSE Linux Enterprise 15                  | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/debug/update/leap/15.4/sle/                         | 
24 | repo-sle-update                          | Update repository with updates from SUSE Linux Enterprise 15                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.4/sle/                               | 
25 | repo-source                              | openSUSE-leap/15.4-Source                                                                   | No      | ----      | ----    |   99     | NONE     | http://download.opensuse.org/source/distribution/leap/15.4/repo/oss/             | 
26 | repo-update                              | openSUSE-15.4-Update                                                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md   | http://download.opensuse.org/update/leap/15.4/oss/ 


I’ve made the switch but problem persists.

Its no problem, its an Information that in another Repo is a Version of a package with a higher Version/Release.
This must not mean that the package is newer, better or so on, only the Version/release Tag is higher /more often build or so.

zypper up and zypper dup are not making a Vendor switch to anther Repo per default…

Well, what do you think yourself from that bunch of repos?

Several double or overlapping ones.

E.g. two libdvdcss ones of which one is for Tumbleweed. It is disables, but why leave rubbish?

And how many Packman ones?

And talking about Packman, did you do the vendor switch to Packman? According to your post #3: No.

And as said, those messages by themselves are not errors or do not show problems by definition. But IMHO you should manage your repos much better.

audacious installs smoothly:

**Leap-15-4:~ #** zypper --non-interactive install audacious   
[FONT=monospace]Loading repository data... 
Reading installed packages...
Resolving package dependencies... 

The following recommended package was automatically selected:
  audacious-plugins-extra 

The following 15 NEW packages are going to be installed:
  audacious audacious-lang audacious-plugins audacious-plugins-extra audacious-plugins-lang libSDL2-2_0-0 libaudcore5 libaudgui5 libaudqt2 libaudtag3 libcue2 libfluidsynth3 libmms0 libsidplayfp6 libsndio7_1 

15 new packages to install. 
[/FONT]Overall download size: 3.0 MiB. Already cached: 0 B. After the operation, additional 10.8 MiB will be used. 
Continue? [y/n/v/...? shows all options] (y): y 
Retrieving package libSDL2-2_0-0-2.0.8-150200.11.6.1.x86_64                                                                                                                                                                             (1/15), 392.5 KiB (  1.2 MiB unpacked) 
Retrieving: libSDL2-2_0-0-2.0.8-150200.11.6.1.x86_64.rpm .................................................................................................................................................................................................[done (690.7 KiB/s)] 
Retrieving package libaudcore5-4.1-bp154.1.165.x86_64                                                                                                                                                                                   (2/15), 153.1 KiB (380.1 KiB unpacked) 
Retrieving: libaudcore5-4.1-bp154.1.165.x86_64.rpm .......................................................................................................................................................................................................[done (752.1 KiB/s)] 
Retrieving package libcue2-2.1.0-1.26.x86_64                                                                                                                                                                                            (3/15),  23.5 KiB ( 42.0 KiB unpacked) 
Retrieving: libcue2-2.1.0-1.26.x86_64.rpm ..............................................................................................................................................................................................................................[done] 
Retrieving package libmms0-0.6.4-1.24.x86_64                                                                                                                                                                                            (4/15),  48.8 KiB (115.1 KiB unpacked) 
Retrieving: libmms0-0.6.4-1.24.x86_64.rpm ..............................................................................................................................................................................................................................[done] 
Retrieving package libsidplayfp6-2.1.2-bp154.1.55.x86_64                                                                                                                                                                                (5/15), 124.9 KiB (438.8 KiB unpacked) 
Retrieving: libsidplayfp6-2.1.2-bp154.1.55.x86_64.rpm ....................................................................................................................................................................................................[done (623.1 KiB/s)] 
Retrieving package libsndio7_1-1.7.0-bp154.1.36.x86_64                                                                                                                                                                                  (6/15),  30.8 KiB ( 63.4 KiB unpacked) 
Retrieving: libsndio7_1-1.7.0-bp154.1.36.x86_64.rpm ....................................................................................................................................................................................................................[done] 
Retrieving package libfluidsynth3-2.2.2-bp154.1.134.x86_64                                                                                                                                                                              (7/15), 198.7 KiB (446.2 KiB unpacked) 
Retrieving: libfluidsynth3-2.2.2-bp154.1.134.x86_64.rpm ..................................................................................................................................................................................................[done (620.1 KiB/s)] 
Retrieving package libaudtag3-4.1-bp154.1.165.x86_64                                                                                                                                                                                    (8/15),  35.2 KiB ( 50.7 KiB unpacked) 
Retrieving: libaudtag3-4.1-bp154.1.165.x86_64.rpm ......................................................................................................................................................................................................................[done] 
Retrieving package libaudqt2-4.1-bp154.1.165.x86_64                                                                                                                                                                                     (9/15), 125.4 KiB (431.2 KiB unpacked) 
Retrieving: libaudqt2-4.1-bp154.1.165.x86_64.rpm .........................................................................................................................................................................................................[done (655.0 KiB/s)] 
Retrieving package libaudgui5-4.1-bp154.1.165.x86_64                                                                                                                                                                                   (10/15),  91.3 KiB (250.9 KiB unpacked) 
Retrieving: libaudgui5-4.1-bp154.1.165.x86_64.rpm ......................................................................................................................................................................................................................[done] 
Retrieving package audacious-plugins-4.1-bp154.2.72.x86_64                                                                                                                                                                             (11/15),   1.1 MiB (  3.7 MiB unpacked) 
Retrieving: audacious-plugins-4.1-bp154.2.72.x86_64.rpm ..................................................................................................................................................................................................[done (670.0 KiB/s)] 
Retrieving package audacious-plugins-extra-4.1-bp154.2.72.x86_64                                                                                                                                                                       (12/15),  26.0 KiB ( 47.5 KiB unpacked) 
Retrieving: audacious-plugins-extra-4.1-bp154.2.72.x86_64.rpm ..............................................................................................................................................................................................[done (1.2 KiB/s)] 
Retrieving package audacious-plugins-lang-4.1-bp154.2.72.noarch                                                                                                                                                                        (13/15), 433.9 KiB (  2.6 MiB unpacked) 
Retrieving: audacious-plugins-lang-4.1-bp154.2.72.noarch.rpm .............................................................................................................................................................................................[done (658.2 KiB/s)] 
Retrieving package audacious-4.1-bp154.1.165.x86_64                                                                                                                                                                                    (14/15),  95.9 KiB (371.8 KiB unpacked) 
Retrieving: audacious-4.1-bp154.1.165.x86_64.rpm .......................................................................................................................................................................................................................[done] 
Retrieving package audacious-lang-4.1-bp154.1.165.noarch                                                                                                                                                                               (15/15), 147.8 KiB (761.9 KiB unpacked) 
Retrieving: audacious-lang-4.1-bp154.1.165.noarch.rpm ....................................................................................................................................................................................................[done (570.1 KiB/s)] 

Checking for file conflicts: ...........................................................................................................................................................................................................................................[done] 
( 1/15) Installing: libSDL2-2_0-0-2.0.8-150200.11.6.1.x86_64 ...........................................................................................................................................................................................................[done] 
( 2/15) Installing: libaudcore5-4.1-bp154.1.165.x86_64 .................................................................................................................................................................................................................[done] 
( 3/15) Installing: libcue2-2.1.0-1.26.x86_64 ..........................................................................................................................................................................................................................[done] 
( 4/15) Installing: libmms0-0.6.4-1.24.x86_64 ..........................................................................................................................................................................................................................[done] 
( 5/15) Installing: libsidplayfp6-2.1.2-bp154.1.55.x86_64 ..............................................................................................................................................................................................................[done] 
( 6/15) Installing: libsndio7_1-1.7.0-bp154.1.36.x86_64 ................................................................................................................................................................................................................[done] 
( 7/15) Installing: libfluidsynth3-2.2.2-bp154.1.134.x86_64 ............................................................................................................................................................................................................[done] 
( 8/15) Installing: libaudtag3-4.1-bp154.1.165.x86_64 ..................................................................................................................................................................................................................[done] 
( 9/15) Installing: libaudqt2-4.1-bp154.1.165.x86_64 ...................................................................................................................................................................................................................[done] 
(10/15) Installing: libaudgui5-4.1-bp154.1.165.x86_64 ..................................................................................................................................................................................................................[done] 
(11/15) Installing: audacious-plugins-4.1-bp154.2.72.x86_64 ............................................................................................................................................................................................................[done] 
(12/15) Installing: audacious-plugins-extra-4.1-bp154.2.72.x86_64 ......................................................................................................................................................................................................[done] 
(13/15) Installing: audacious-plugins-lang-4.1-bp154.2.72.noarch .......................................................................................................................................................................................................[done] 
(14/15) Installing: audacious-4.1-bp154.1.165.x86_64 ...................................................................................................................................................................................................................[done] 
(15/15) Installing: audacious-lang-4.1-bp154.1.165.noarch ..............................................................................................................................................................................................................[done]
Leap-15-4:~ #

More: https://forums.opensuse.org/showthread.php/540572-Installing-Packman-Codecs

well thank you.

Not ideal but I need to use operating system with minimum maintenance time. And the time is limited. I’ve only made changes in repos when it was necessary.

zypper -v lr
#  | Alias                                    | Name                                                         | Enabled | GPG Check | Refresh
---+------------------------------------------+--------------------------------------------------------------+---------+-----------+--------
 1 | brave-browser                            | brave-browser                                                | Yes     | (r ) Yes  | No
 2 | http-download.opensuse.org-ff8e5a28      | openSUSE:Leap:15.4:Update                                    | Yes     | (r ) Yes  | Yes
 3 | http-opensuse-guide.org-fe542fca         | libdvdcss repository                                         | Yes     | (r ) Yes  | Yes
 4 | https-download.nvidia.com-4b3d2d94       | nVidia Graphics Drivers                                      | Yes     | (r ) Yes  | Yes
 5 | openSUSE-Leap-$releasever-Update         | openSUSE-Leap-15.4-Update                                    | No      | ----      | ----
 6 | openSUSE-Leap-$releasever-Update-Non-Oss | openSUSE-Leap-15.4-Update-Non-Oss                            | No      | ----      | ----
 7 | openSUSE-leap/$releasever-0              | openSUSE-leap/15.4-0                                         | No      | ----      | ----
 8 | packman_new                              | packman_new                                                  | Yes     | (r ) Yes  | Yes
 9 | repo-backports-update                    | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes
10 | repo-non-oss                             | openSUSE-leap/15.4-Non-Oss                                   | Yes     | (r ) Yes  | Yes
11 | repo-oss                                 | openSUSE-leap/15.4-Oss                                       | Yes     | (r ) Yes  | Yes
12 | repo-sle-update                          | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes
13 | repo-update                              | openSUSE-15.4-Update                                         | Yes     | (r ) Yes  | Yes

I had run command to make vendor switch to Packman after recommendation which was made in post #4 so why do you talk about output in post #3 ?

Current state:

zypper dup --from packman_new --allow-vendor-change
Loading repository data...
Reading installed packages...
Computing distribution upgrade...
Nothing to do.

zypper se -s audacious-plugins
Loading repository data...
Reading installed packages...


S  | Name                    | Type    | Version        | Arch   | Repository
---+-------------------------+---------+----------------+--------+-----------------------
i+ | audacious-plugins       | package | 4.1-pm154.12.4 | x86_64 | (System Packages)
v  | audacious-plugins       | package | 4.1-bp154.2.72 | x86_64 | openSUSE-leap/15.4-Oss
i+ | audacious-plugins-extra | package | 4.1-pm154.12.4 | x86_64 | (System Packages)
v  | audacious-plugins-extra | package | 4.1-bp154.2.72 | x86_64 | openSUSE-leap/15.4-Oss
i+ | audacious-plugins-lang  | package | 4.1-pm154.12.4 | noarch | (System Packages)
v  | audacious-plugins-lang  | package | 4.1-bp154.2.72 | noarch | openSUSE-leap/15.4-Oss

Thank you.

We could of course argue endless if having a repo for another openSUSE version is the result of “minimum maintenance time” and you should of course maintain your systems with your own way of working.

When you then run into troubles, people here will probably try to help you out, minimum maintenance or not.

You have installed audcious from packman with a “higher” Version as in the OSS Repo.
Also audicious is not available anymore in Packman:

LANG=C zypper se -s audacious
Loading repository data...
Reading installed packages...

S | Name                    | Type    | Version         | Arch   | Repository
--+-------------------------+---------+-----------------+--------+-----------
  | audacious               | package | 4.1-bp154.1.165 | x86_64 | OSS
  | audacious-devel         | package | 4.1-bp154.1.165 | x86_64 | OSS
  | audacious-lang          | package | 4.1-bp154.1.165 | noarch | OSS
  | audacious-plugins       | package | 4.1-bp154.2.72  | x86_64 | OSS
  | audacious-plugins-extra | package | 4.1-bp154.2.72  | x86_64 | OSS
  | audacious-plugins-lang  | package | 4.1-bp154.2.72  | noarch | OSS

So you must install audacious once more to get the Version from OSS.
That is what you have done.

As another hint. As long as you post repository listing that do not show the URIs of the repos, you can save time by not posting it at all.

I’m grateful for every help.

zypper -v lr -u
Verbosity: 2
Repository priorities are without effect. All enabled repositories share the same priority.

#  | Alias                                    | Name                                                         | Enabled | GPG Check | Refresh | URI
---+------------------------------------------+--------------------------------------------------------------+---------+-----------+---------+---------------------------------------------------------------------------------
 1 | brave-browser                            | brave-browser                                                | Yes     | (r ) Yes  | No      | https://brave-browser-rpm-release.s3.brave.com/x86_64/
 2 | http-download.opensuse.org-ff8e5a28      | openSUSE:Leap:15.4:Update                                    | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/repositories/openSUSE:/Leap:/15.4:/Update/standard/
 3 | http-opensuse-guide.org-fe542fca         | libdvdcss repository                                         | Yes     | (r ) Yes  | Yes     | http://opensuse-guide.org/repo/openSUSE_Leap_15.4/
 4 | https-download.nvidia.com-4b3d2d94       | nVidia Graphics Drivers                                      | Yes     | (r ) Yes  | Yes     | https://download.nvidia.com/opensuse/leap/15.4
 5 | openSUSE-Leap-$releasever-Update         | openSUSE-Leap-15.4-Update                                    | No      | ----      | ----    | http://download.opensuse.org/update/leap/15.4/oss/
 6 | openSUSE-Leap-$releasever-Update-Non-Oss | openSUSE-Leap-15.4-Update-Non-Oss                            | No      | ----      | ----    | http://download.opensuse.org/update/leap/15.4/non-oss/
 7 | openSUSE-leap/$releasever-0              | openSUSE-leap/15.4-0                                         | No      | ----      | ----    | hd:/?device=/dev/disk/by-id/scsi-200000000010004-part2
 8 | packman_new                              | packman_new                                                  | Yes     | (r ) Yes  | Yes     | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/
 9 | repo-backports-update                    | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.4/backports/
10 | repo-non-oss                             | openSUSE-leap/15.4-Non-Oss                                   | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/
11 | repo-oss                                 | openSUSE-leap/15.4-Oss                                       | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/15.4/repo/oss/
12 | repo-sle-update                          | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.4/sle/
13 | repo-update                              | openSUSE-15.4-Update                                         | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/15.4/oss/


As you can see yourself #5 and #13 are the same (because they point to the same URI). #5 is disables, but I would think it is better removed to avoid confusion.

I am not sure about what #2 is. The names, etc. hint to another Update repo, but the URI is different and strange to me.

#6 is the Update repo for non-OSS software. As such it belongs to #10, the OSS repo. But it is disabled. Better enable it to allow updates for non-OSS packages you may have installed.

I show you my enabled repos, not for blindly copying it, but just to compare:

henk@boven:/etc/zypp/repos.d> zypper lr -dE
#  | Alias                 | Name                                                         | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                 | Service
---+-----------------------+--------------------------------------------------------------+---------+-----------+---------+----------+--------+---------------------------------------------------------------------+--------
 2 | backports-update      | Updates from openSUSE Backports                              | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/backports/            | 
 4 | main                  | Main (OSS)                                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/oss/       | 
 8 | main-update           | Update (OSS)                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/oss                   | 
12 | non-oss-main          | Main (Non-OSS)                                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.4/repo/non-oss/   | 
14 | non-oss-update        | Update (Non-OSS)                                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/non-oss/              | 
15 | packman               | Packman                                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.4/ | 
17 | repo-backports-update | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/backports/            | 
19 | repo-sle-update       | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/sle/                  | 
21 | sle-update            | Updates from SUSE Linux Enterprise 15                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.4/sle/                  | 
henk@boven:/etc/zypp/repos.d>

AFAIK URLs that end in a hyphen and an eight character hex number are the result of a one click install, but I could be wrong…

It is not the URI that ends in -ff8e5a28, but the Alias. But you could be right. That would mean that he added libdvdcss and NVidia also using 1-click.

It is still strange that #2 claims to be openSUSE:Leap:15.4:Update. Update for what?

Maybe the OP could use YaST > Software > Software Management, then use from the View button the Repositories view. Then select this repo and see at right what is there and what is installed from it.